%global mod_name wtforms

Name:           python-wtforms
Version:        3.1.2
Release:        %mkrel 3
Summary:        Forms validation and rendering library for python

Group:          Development/Python
License:        BSD
URL:            https://wtforms.readthedocs.io/
Source0:        https://files.pythonhosted.org/packages/source/w/%{mod_name}/%{mod_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:	python3dist(babel)

%{?python_extras_subpkg:%python_extras_subpkg -n python3-wtforms -i %{python3_sitelib}/*.dist-info email}

%description
With wtforms, your form field HTML can be generated for you.
This allows you to maintain separation of code and presentation,
and keep those messy parameters out of your python code.

%package -n python3-wtforms
Summary:        Forms validation and rendering library for python
Group:          Development/Python

%description -n python3-wtforms
With wtforms, your form field HTML can be generated for you.
This allows you to maintain separation of code and presentation,
and keep those messy parameters out of your python code.

%prep
%autosetup -p1 -n %{mod_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

sed -i "s|\r||g" docs/conf.py
sed -i "s|\r||g" docs/Makefile
sed -i "s|\r||g" docs/index.rst
rm -f docs/html/.buildinfo

%build
%pyproject_wheel

%install
%pyproject_install

mkdir -p %{buildroot}%{_datadir}
mv %{buildroot}%{python3_sitelib}/wtforms/locale %{buildroot}%{_datadir}
find %{buildroot}%{_datadir}/locale -name '*.po*' -delete
rm -rf %{buildroot}%{_datadir}/locale/README.md

%find_lang wtforms

%files -n python3-wtforms -f wtforms.lang
%license LICENSE.rst
%doc docs/ PKG-INFO
%{python3_sitelib}/*.dist-info/
%{python3_sitelib}/wtforms/


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 3.1.2-3.mga10
+ Revision: 2240824
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 3.1.2-2.mga10
+ Revision: 2157919
- rebuild for python3.13

* Sat Feb 24 2024 daviddavid <daviddavid> 3.1.2-1.mga10
+ Revision: 2044001
- new version: 3.10.2
- switch to pyproject

* Sat Feb 24 2024 daviddavid <daviddavid> 3.0.1-3.mga10
+ Revision: 2043991
- rebuild for py3.12

* Sun Jul 03 2022 wally <wally> 3.0.1-2.mga9
+ Revision: 1867202
- add email extras subpkg

* Sun Jul 03 2022 wally <wally> 3.0.1-1.mga9
+ Revision: 1867192
- new version 3.0.1

* Wed Mar 23 2022 umeabot <umeabot> 2.2.1-6.mga9
+ Revision: 1823230
- Mageia 9 Mass Rebuild

* Sun Feb 20 2022 mrambo3501 <mrambo3501> 2.2.1-5.mga9
+ Revision: 1781718
- revert to 2.2.1
- rebuild for python-3.10
- BR python3dist(setuptools-scm)
- BR python-pip-wheel
- BR python-setuptools-wheel
- BR python-pip-wheel
- version 3.0.1
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 2.2.1-4.mga9
+ Revision: 1732657
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 2.2.1-3.mga8
+ Revision: 1533102
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 2.2.1-2.mga8
+ Revision: 1443376
- rebuild for python-3.8
- drop python2 subpkg

* Sat Apr 20 2019 wally <wally> 2.2.1-1.mga7
+ Revision: 1394114
- new version 2.2.1

* Tue Jan 08 2019 tv <tv> 2.0-11.mga7
+ Revision: 1351856
- rebuild with python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 2.0-10.mga7
+ Revision: 1290574
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 2.0-9.mga7
+ Revision: 1135697
- Rebuild for python 3.6

* Sat May 28 2016 ngompa <ngompa> 2.0-8.mga6
+ Revision: 1019126
- imported package python-wtforms


* Sat May 28 2016 Neal Gompa <ngompa13@gmail.com> - 2.0-8
- Port to Mageia

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Dec 01 2014 Pierre-Yves Chibon <pingou@pingoured.fr> - 2.0-4
- Move the locale files into /usr/share/locale we will still have the same files
  present in both the py2 and py3 but a) they are completely identical so no
  conflicts from RPM and b) they are now in the proper place, system-wise

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fdoraproject.org> - 2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Sat May 24 2014 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 2.0-1
- Upgrade to upstream version
- Add python3 support

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Aug 09 2012 Tim Flink <tflink@fedoraproject.org> - 1.0.2-1
- Upgraded to upstream 1.0.2

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 21 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.6.3-1
- Initial RPM release
